Retrieve the status and URL of a video being generated
Get Video API
Retrieves the status of a video being generated and automatically triggers the next steps (clip generation, final render). This endpoint is idempotent and can be called regularly to track progress.
Authentication
All requests must include the header:
x-api-key: YOUR_API_KEY
Headers
string
required
Your IACrea API key
URL Parameters
string
required
Unique video identifier (returned by POST /api/video-editor/generate/video)
Responses
This endpoint returns different statuses depending on the generation progress:
200 — status: "GENERATING_VIDEO"
Video clips (sequences) are being generated.
string
Status: "GENERATING_VIDEO"
number
Remaining video credits
number
Credits used
array
List of generated content with their current status ("pending" | "success" | "error")
200 — status: "START_RENDERING_VIDEO"
All sequences are ready and the final video render is starting.
string
Status: "START_RENDERING_VIDEO"
number
Render progress (0 at start)
number
Remaining video credits
number
Credits used
array
List of generated content
200 — status: "RENDERING_VIDEO"
The final video render is in progress.
string
Status: "RENDERING_VIDEO"
number
Render progress (number between 0 and 1, or 0-100 depending on implementation)
number
Remaining video credits
number
Credits used
200 — status: "DONE"
The final video is ready and available.
string
Status: "DONE"
string
URL of the generated final video
string
Video identifier
array
List of generated content with their final status
number
Remaining video credits
number
Credits used
200 — status: "PENDING"
Transitional state. May be returned when a sequence has an error and regeneration is automatically restarted on the server.
string
Status: "PENDING"
string
Optional error message (e.g. "Re-generating video in error")
401 — Unauthorized
Returned if x-api-key is missing or invalid.
404 — Not Found
Returned if the video id does not exist.
500 — Server Error
Internal server error.
Request Example
curl --request GET \ --url 'https://iacrea.com/api/video-editor/generate/video/550e8400-e29b-41d4-a716-446655440000' \ --header 'x-api-key: YOUR_API_KEY'
Polling: Call this endpoint every 2-5 seconds until you get status "DONE" or "ERROR"
Timeout: Plan for a client-side timeout (e.g. 10-20 minutes) depending on render duration
Resilience: If you receive "PENDING" after already seeing "GENERATING_VIDEO", keep polling: the server may automatically restart failed sequences
Webhook: If you provided a webhookUrl when creating the video, you will also receive a notification when the video is ready
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"IACrea Documentation","colors":{"primary":"#181849","light":"#C3C3E8","dark":"#000"},"logo":{"light":"https://mintcdn.com/iacrea/OSaHDUWqXjThYCMY/logo/IACrea_Logo_big.png?fit=max\u0026auto=format\u0026n=OSaHDUWqXjThYCMY\u0026q=85\u0026s=56ba4fb8dd58110a7270b9f2f8e33f36","dark":"https://mintcdn.com/iacrea/OSaHDUWqXjThYCMY/logo/IACrea_Logo_big.png?fit=max\u0026auto=format\u0026n=OSaHDUWqXjThYCMY\u0026q=85\u0026s=56ba4fb8dd58110a7270b9f2f8e33f36"},"favicon":"https://mintcdn.com/iacrea/OSaHDUWqXjThYCMY/favicon-32x32.png?fit=max\u0026auto=format\u0026n=OSaHDUWqXjThYCMY\u0026q=85\u0026s=7b13d5b2b22a25f80524edb266085e69","navbar":{"links":[{"href":"mailto:contact@iacrea.com","label":"Support"}],"primary":{"type":"button","label":"IACrea","href":"https://iacrea.com"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/iacrea-immobilier","instagram":"https://www.instagram.com/iacrea_com"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Site Web","icon":"globe","href":"https://iacrea.com"}]},"languages":[{"language":"fr","href":"introduction"},{"language":"en","href":"en/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"iacrea","hasAudioNarration":false,"actualSubdomain":"iacrea","customDomains":["docs.iacrea.com"],"gitSource":{"type":"github","owner":"wintopy","repo":"iacrea","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6b0018ee27f1c1b91248738e","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"fr","tag":"API Reference","count":18},{"language":"en","tag":"API Reference","count":18},{"language":"fr","tag":"Endpoints","count":17},{"language":"en","tag":"Endpoints","count":17},{"language":"en","tag":"Guide","count":15},{"language":"fr","tag":"Guide","count":14},{"language":"fr","tag":"Fonctionnalités","count":12},{"language":"en","tag":"Features","count":12},{"language":"en","tag":"Getting Started","count":3},{"language":"fr","tag":"Démarrage","count":2},{"language":"fr","tag":"Documentation API","count":1},{"language":"en","tag":"API Documentation","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"en/api-reference/endpoint/video_get","slug":"/en/api-reference/endpoint/video_get","pageMetadata":{"title":"Get Video API","description":"Retrieve the status and URL of a video being generated","href":"/en/api-reference/endpoint/video_get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the status and URL of a video being generated\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`get-video-api`,children:`Get Video API`}),`\n`,_jsxs(_components.p,{children:[`Retrieves the status of a video being generated and automatically triggers the next steps (clip generation, final render). This endpoint is `,_jsx(_components.strong,{children:`idempotent`}),` and can be called regularly to track progress.`]}),`\n`,_jsx(ParamField,{path:`GET /api/video-editor/generate/video/{id}`,id:`param-get-api-video-editor-generate-video-id`}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsx(_components.p,{children:`All requests must include the header:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.code,{children:`x-api-key: YOUR_API_KEY`})}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-api-key`,type:`string`,required:true,id:`param-x-api-key`,children:_jsx(_components.p,{children:`Your IACrea API key`})}),`\n`,_jsx(Heading,{level:`2`,id:`url-parameters`,children:`URL Parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`Unique video identifier (returned by `,_jsx(_components.code,{children:`POST /api/video-editor/generate/video`}),`)`]})}),`\n`,_jsx(Heading,{level:`2`,id:`responses`,children:`Responses`}),`\n`,_jsx(_components.p,{children:`This endpoint returns different statuses depending on the generation progress:`}),`\n`,_jsxs(Heading,{level:`3`,id:`200-—-status-generating_video`,children:[`200 — `,_jsx(_components.code,{children:`status: \"GENERATING_VIDEO\"`})]}),`\n`,_jsx(_components.p,{children:`Video clips (sequences) are being generated.`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsxs(_components.p,{children:[`Status: `,_jsx(_components.code,{children:`\"GENERATING_VIDEO\"`})]})}),`\n`,_jsx(ResponseField,{name:`creditsTotal`,type:`number`,id:`param-credits-total`,children:_jsx(_components.p,{children:`Remaining video credits`})}),`\n`,_jsx(ResponseField,{name:`creditsUsed`,type:`number`,id:`param-credits-used`,children:_jsx(_components.p,{children:`Credits used`})}),`\n`,_jsx(ResponseField,{name:`generatedContent`,type:`array`,id:`param-generated-content`,children:_jsxs(_components.p,{children:[`List of generated content with their current status (`,_jsx(_components.code,{children:`\"pending\" | \"success\" | \"error\"`}),`)`]})}),`\n`,_jsxs(Heading,{level:`3`,id:`200-—-status-start_rendering_video`,children:[`200 — `,_jsx(_components.code,{children:`status: \"START_RENDERING_VIDEO\"`})]}),`\n`,_jsx(_components.p,{children:`All sequences are ready and the final video render is starting.`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:_jsxs(_components.p,{children:[`Status: `,_jsx(_components.code,{children:`\"START_RENDERING_VIDEO\"`})]})}),`\n`,_jsx(ResponseField,{name:`progress`,type:`number`,id:`param-progress`,children:_jsx(_components.p,{children:`Render progress (0 at start)`})}),`\n`,_jsx(ResponseField,{name:`creditsTotal`,type:`number`,id:`param-credits-total-1`,children:_jsx(_components.p,{children:`Remaining video credits`})}),`\n`,_jsx(ResponseField,{name:`creditsUsed`,type:`number`,id:`param-credits-used-1`,children:_jsx(_components.p,{children:`Credits used`})}),`\n`,_jsx(ResponseField,{name:`generatedContent`,type:`array`,id:`param-generated-content-1`,children:_jsx(_components.p,{children:`List of generated content`})}),`\n`,_jsxs(Heading,{level:`3`,id:`200-—-status-rendering_video`,children:[`200 — `,_jsx(_components.code,{children:`status: \"RENDERING_VIDEO\"`})]}),`\n`,_jsx(_components.p,{children:`The final video render is in progress.`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-2`,children:_jsxs(_components.p,{children:[`Status: `,_jsx(_components.code,{children:`\"RENDERING_VIDEO\"`})]})}),`\n`,_jsx(ResponseField,{name:`progress`,type:`number`,id:`param-progress-1`,children:_jsx(_components.p,{children:`Render progress (number between 0 and 1, or 0-100 depending on implementation)`})}),`\n`,_jsx(ResponseField,{name:`creditsTotal`,type:`number`,id:`param-credits-total-2`,children:_jsx(_components.p,{children:`Remaining video credits`})}),`\n`,_jsx(ResponseField,{name:`creditsUsed`,type:`number`,id:`param-credits-used-2`,children:_jsx(_components.p,{children:`Credits used`})}),`\n`,_jsxs(Heading,{level:`3`,id:`200-—-status-done`,children:[`200 — `,_jsx(_components.code,{children:`status: \"DONE\"`})]}),`\n`,_jsx(_components.p,{children:`The final video is ready and available.`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-3`,children:_jsxs(_components.p,{children:[`Status: `,_jsx(_components.code,{children:`\"DONE\"`})]})}),`\n`,_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url`,children:_jsx(_components.p,{children:`URL of the generated final video`})}),`\n`,_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`Video identifier`})}),`\n`,_jsx(ResponseField,{name:`generatedContent`,type:`array`,id:`param-generated-content-2`,children:_jsx(_components.p,{children:`List of generated content with their final status`})}),`\n`,_jsx(ResponseField,{name:`creditsTotal`,type:`number`,id:`param-credits-total-3`,children:_jsx(_components.p,{children:`Remaining video credits`})}),`\n`,_jsx(ResponseField,{name:`creditsUsed`,type:`number`,id:`param-credits-used-3`,children:_jsx(_components.p,{children:`Credits used`})}),`\n`,_jsxs(Heading,{level:`3`,id:`200-—-status-pending`,children:[`200 — `,_jsx(_components.code,{children:`status: \"PENDING\"`})]}),`\n`,_jsx(_components.p,{children:`Transitional state. May be returned when a sequence has an error and regeneration is automatically restarted on the server.`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-4`,children:_jsxs(_components.p,{children:[`Status: `,_jsx(_components.code,{children:`\"PENDING\"`})]})}),`\n`,_jsx(ResponseField,{name:`error`,type:`string`,id:`param-error`,children:_jsxs(_components.p,{children:[`Optional error message (e.g. `,_jsx(_components.code,{children:`\"Re-generating video in error\"`}),`)`]})}),`\n`,_jsx(Heading,{level:`3`,id:`401-—-unauthorized`,children:`401 — Unauthorized`}),`\n`,_jsxs(_components.p,{children:[`Returned if `,_jsx(_components.code,{children:`x-api-key`}),` is missing or invalid.`]}),`\n`,_jsx(Heading,{level:`3`,id:`404-—-not-found`,children:`404 — Not Found`}),`\n`,_jsxs(_components.p,{children:[`Returned if the video `,_jsx(_components.code,{children:`id`}),` does not exist.`]}),`\n`,_jsx(Heading,{level:`3`,id:`500-—-server-error`,children:`500 — Server Error`}),`\n`,_jsx(_components.p,{children:`Internal server error.`}),`\n`,_jsx(Heading,{level:`2`,id:`request-example`,children:`Request Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://iacrea.com/api/video-editor/generate/video/550e8400-e29b-41d4-a716-446655440000'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'x-api-key: YOUR_API_KEY'`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response-examples`,children:`Response Examples`}),`\n`,_jsx(Heading,{level:`3`,id:`generation-in-progress`,children:`Generation in progress`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`21`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`21`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GENERATING_VIDEO\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsTotal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`48`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsUsed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"generatedContent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"660e8400-e29b-41d4-a716-446655440001\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/image1.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"effect\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CAMERA_PUSH_IN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"format\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"landscape\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"660e8400-e29b-41d4-a716-446655440002\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/image2.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"effect\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CAMERA_PUSH_OUT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"format\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"landscape\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pending\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`render-in-progress`,children:`Render in progress`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"RENDERING_VIDEO\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.65`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsTotal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`48`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsUsed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`video-complete`,children:`Video complete`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`23`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`23`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DONE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://storage.iacrea.com/videos/550e8400-e29b-41d4-a716-446655440000.mp4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"550e8400-e29b-41d4-a716-446655440000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"generatedContent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"660e8400-e29b-41d4-a716-446655440001\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/image1.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"effect\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CAMERA_PUSH_IN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"format\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"landscape\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"660e8400-e29b-41d4-a716-446655440002\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://example.com/image2.jpg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"effect\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CAMERA_PUSH_OUT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"format\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"landscape\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsTotal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`48`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"creditsUsed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`integration-recommendations`,children:`Integration Recommendations`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Polling`}),`: Call this endpoint every `,_jsx(_components.strong,{children:`2-5 seconds`}),` until you get status `,_jsx(_components.code,{children:`\"DONE\"`}),` or `,_jsx(_components.code,{children:`\"ERROR\"`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Timeout`}),`: Plan for a client-side timeout (e.g. 10-20 minutes) depending on render duration`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Resilience`}),`: If you receive `,_jsx(_components.code,{children:`\"PENDING\"`}),` after already seeing `,_jsx(_components.code,{children:`\"GENERATING_VIDEO\"`}),`, keep polling: the server may automatically restart failed sequences`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Webhook`}),`: If you provided a `,_jsx(_components.code,{children:`webhookUrl`}),` when creating the video, you will also receive a notification when the video is ready`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Video API","description":"Retrieve the status and URL of a video being generated","href":"/en/api-reference/endpoint/video_get"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Get Video API","slug":"get-video-api","depth":1,"children":[]},{"title":"Authentication","slug":"authentication","depth":2,"children":[]},{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"URL Parameters","slug":"url-parameters","depth":2,"children":[]},{"title":"Responses","slug":"responses","depth":2,"children":[{"title":"200 — status: \"GENERATING_VIDEO\"","slug":"200-—-status-generating_video","depth":3,"children":[]},{"title":"200 — status: \"START_RENDERING_VIDEO\"","slug":"200-—-status-start_rendering_video","depth":3,"children":[]},{"title":"200 — status: \"RENDERING_VIDEO\"","slug":"200-—-status-rendering_video","depth":3,"children":[]},{"title":"200 — status: \"DONE\"","slug":"200-—-status-done","depth":3,"children":[]},{"title":"200 — status: \"PENDING\"","slug":"200-—-status-pending","depth":3,"children":[]},{"title":"401 — Unauthorized","slug":"401-—-unauthorized","depth":3,"children":[]},{"title":"404 — Not Found","slug":"404-—-not-found","depth":3,"children":[]},{"title":"500 — Server Error","slug":"500-—-server-error","depth":3,"children":[]}]},{"title":"Request Example","slug":"request-example","depth":2,"children":[]},{"title":"Response Examples","slug":"response-examples","depth":2,"children":[{"title":"Generation in progress","slug":"generation-in-progress","depth":3,"children":[]},{"title":"Render in progress","slug":"render-in-progress","depth":3,"children":[]},{"title":"Video complete","slug":"video-complete","depth":3,"children":[]}]},{"title":"Integration Recommendations","slug":"integration-recommendations","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"iacrea","siteName":"IACrea Documentation","title":"Get Video API - IACrea Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"fr":{"href":"/api-reference/endpoint/video_get","matchLevel":1},"en":{"href":"/en/api-reference/endpoint/video_get","matchLevel":0}}},"lastModified":"2026-03-18T08:34:56.246Z","originalFileLocation":"en/api-reference/endpoint/video_get.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the status and URL of a video being generated\">\u003cmeta data-mint-head name=\"application-name\" content=\"IACrea Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Video API - IACrea Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the status and URL of a video being generated\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"IACrea Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://iacrea.mintlify.site/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Get+Video+API\u0026amp;description=Retrieve+the+status+and+URL+of+a+video+being+generated\u0026amp;theme=e7a1653940696243f47337d1\u0026amp;signature=a808f1e9647d9a18e1ddcdb138a1df1ec3e81de2adb73bfae3a36b631fc86fe3\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Video API - IACrea Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the status and URL of a video being generated\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://iacrea.mintlify.site/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Get+Video+API\u0026amp;description=Retrieve+the+status+and+URL+of+a+video+being+generated\u0026amp;theme=e7a1653940696243f47337d1\u0026amp;signature=a808f1e9647d9a18e1ddcdb138a1df1ec3e81de2adb73bfae3a36b631fc86fe3\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/iacrea/ul_tIZ1hxqIu5Bjt/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"IACrea Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#181849\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/endpoint/video_get.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.iacrea.com/api-reference/endpoint/video_get\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.iacrea.com/api-reference/endpoint/video_get\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.iacrea.com/#organization\",\"name\":\"IACrea Documentation\",\"url\":\"https://docs.iacrea.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/iacrea/OSaHDUWqXjThYCMY/logo/IACrea_Logo_big.png?fit=max\u0026auto=format\u0026n=OSaHDUWqXjThYCMY\u0026q=85\u0026s=56ba4fb8dd58110a7270b9f2f8e33f36\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.iacrea.com#website\",\"name\":\"IACrea Documentation\",\"url\":\"https://docs.iacrea.com\",\"publisher\":{\"@id\":\"https://docs.iacrea.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get#webpage\",\"url\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\",\"name\":\"Get Video API\",\"description\":\"Retrieve the status and URL of a video being generated\",\"dateModified\":\"2026-03-18T08:34:56.246Z\",\"isPartOf\":{\"@id\":\"https://docs.iacrea.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.iacrea.com/en/api-reference/endpoint/credit\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Video API\",\"item\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get#article\",\"headline\":\"Get Video API\",\"name\":\"Get Video API\",\"description\":\"Retrieve the status and URL of a video being generated\",\"url\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.iacrea.com/en/api-reference/endpoint/video_get#webpage\"},\"dateModified\":\"2026-03-18T08:34:56.246Z\",\"publisher\":{\"@id\":\"https://docs.iacrea.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.iacrea.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"IACrea Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"IACrea Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/en/api-reference/endpoint/video_get.md","siteName":"IACrea Documentation","nav":{"global":{"anchors":[{"anchor":"Site Web","icon":"globe","href":"https://iacrea.com"}]},"languages":[{"language":"fr","pages":[{"title":"fr","href":"/api-reference/endpoint/video_get"}]},{"language":"en","tabs":[{"tab":"Guide","pages":[{"title":"Guide","href":"/en/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"API Introduction","href":"/en/api-reference/introduction"}]},{"group":"Endpoints","pages":[{"title":"Credits API","href":"/en/api-reference/endpoint/credit"},{"title":"Renovation API","href":"/en/api-reference/endpoint/renovate"},{"title":"Video Creation API","href":"/en/api-reference/endpoint/video"},{"title":"Auto Video API (workflow)","href":"/en/api-reference/endpoint/video_auto"},{"title":"Video Creation API","description":"Create a full video with intro, outro, animated sequences, transitions and before/after effects","href":"/en/api-reference/endpoint/video_create"},{"title":"Get Video API","href":"/en/api-reference/endpoint/video_get"},{"title":"Regenerate Sequence API","description":"Regenerate a specific sequence of a video","href":"/en/api-reference/endpoint/video_sequence"},{"title":"Furnishing API","href":"/en/api-reference/endpoint/furnish"},{"title":"Exterior Improvement API","href":"/en/api-reference/endpoint/exterior"},{"title":"Decluttering API","href":"/en/api-reference/endpoint/declutter"},{"title":"Blue Sky API","href":"/en/api-reference/endpoint/sky"},{"title":"Interior Sky API","href":"/en/api-reference/endpoint/sky_interior"},{"title":"3D Plan API","href":"/en/api-reference/endpoint/plan"},{"title":"Targeted Element API","href":"/en/api-reference/endpoint/one_element"},{"title":"Logo Removal API","href":"/en/api-reference/endpoint/remove_logo"},{"title":"Room Creation API","href":"/en/api-reference/endpoint/create_room"},{"title":"Exterior Creation API","href":"/en/api-reference/endpoint/create_exterior"}]}]}]}]},"basePath":"","title":"Get Video API - IACrea Documentation","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":[],"chunks":[]}